List SBM servers

GET/v1/hosts/sbm_servers

A GET request to /v1/hosts/sbm_servers will list all Scalable Bare Metal servers.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

location_id?integer

A unique identifier of a location. A request to list all the location IDs is described in the Location block.

rack_id?string

A unique identifier of a rack where a host is deployed.

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id.

Default"id"

Value in

  • "id"
  • "created_at"
  • "updated_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/hosts/sbm_servers"
[  {    "id": "4oeERva0",    "rack_id": "xkazpYdJ",    "title": "title33",    "location_id": 70,    "location_code": "location158",    "status": "active",    "operational_status": "normal",    "power_status": "powered_on",    "configuration": "REMM R123",    "private_ipv4_address": null,    "public_ipv4_address": null,    "lease_start_at": "2026-05-25",    "scheduled_release_at": null,    "type": "sbm_server",    "oob_ipv4_address": null,    "configuration_details": {      "ram_size": 0,      "sbm_flavor_model_id": 283,      "sbm_flavor_model_name": "flavor-model-540",      "bandwidth_id": null,      "bandwidth_name": null,      "private_uplink_id": null,      "private_uplink_name": null,      "public_uplink_id": null,      "public_uplink_name": null,      "operating_system_id": null,      "operating_system_full_name": null    },    "labels": {},    "created_at": "2026-05-28T06:55:39Z",    "updated_at": "2026-05-28T06:55:39Z"  }]
{  "message": "Bad request",  "code": "BAD_REQUEST",  "params": [    "page"  ]}